## net.sf.saxon.trace
Class ContextStackFrame.CallingApplication

    java.lang.Object
      net.sf.saxon.trace.ContextStackFrame
          net.sf.saxon.trace.ContextStackFrame.CallingApplication

Enclosing class:
  ContextStackFrame

    public static class ContextStackFrame.CallingApplication

extends ContextStackFrame

Subclass of ContextStackFrame representing the outermost stack frame, for the calling application

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.trace.ContextStackFrame
`ContextStackFrame.ApplyTemplates, ContextStackFrame.BuiltInTemplateRule, ContextStackFrame.CallingApplication, ContextStackFrame.CallTemplate, ContextStackFrame.ForEach, ContextStackFrame.FunctionCall, ContextStackFrame.VariableEvaluation`

Constructor Summary
`ContextStackFrame.CallingApplication()`

Method Summary
`void` `print(java.io.PrintStream out)` Display a representation of the stack frame on the specified output stream

Methods inherited from class net.sf.saxon.trace.ContextStackFrame
`getContainer, getContextItem, getLineNumber, getSystemId, setContainer, setContextItem, setLineNumber, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextStackFrame.CallingApplication

    public ContextStackFrame.CallingApplication()

Method Detail

### print

    public void print(java.io.PrintStream out)

  Description copied from class: `ContextStackFrame`
  Display a representation of the stack frame on the specified output stream

  Specified by:
    `print` in class `ContextStackFrame`
  Parameters:
    `out` - the output stream

Copyright (c) Saxonica Limited. All rights reserved.